/*
  twelite_cue.cpp - Board Library for MONOWIRESS TWELITE CUE

  Copyright (c) 2022 Sasapea's Lab. All right reserved.

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General
  Public License along with this library; if not, write to the
  Free Software Foundation, Inc., 59 Temple Place, Suite 330,
  Boston, MA  02111-1307  USA
*/
#include <board_twelite_cue.h>

MC3630   Board::_mc3630;
Alarm    Board::_alarm;
int16_t  Board::_axis_sampl[2][MC3630_NUMBER_OF_AXIS];
uint8_t  Board::_axis_index;
uint8_t  Board::_axis_shake;
uint16_t Board::_threshold;
